%define	name	ephoto
%define version 0.1.1
%define svn     r69188
%define rel     1
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: 	Enlightenment photo manager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphics
URL: 		http://www.enlightenment.org
%if %svn
Source:     %name-%svn.tar.xz
%else
Source: 	%name-%version.tar.bz2
%endif
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.050
Buildrequires:	efreet-devel
BuildRequires:	elementary-devel
BuildRequires:	eio-devel
BuildRequires:	ethumb-devel
BuildRequires:	edje >= 0.9.9.050
Buildrequires:  gettext-devel
BuildRequires:  elementary
BuildRequires:  subversion

%description
Ephoto is an ewl app that is used for sophisticate image viewing.
This package is part of the Enlightenment DR17 desktop shell.

%prep
%if %svn
%setup -qn %name
%else
%setup -q
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x  --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/%{name}_ql.so
%{_datadir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/%name.png


%changelog

* Sun Mar 11 2012 trem <trem> 0.1.1-0.r69188.1.mga2
+ Revision: 222713
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.1-0.r69165.1.mga2
+ Revision: 222449
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.1-0.r68658.1.mga2
+ Revision: 218025
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.1-0.r68649.1.mga2
+ Revision: 217577
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.1-0.r68450.1.mga2
+ Revision: 215243
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.1-0.r68434.1.mga2
+ Revision: 214454
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.1-0.r68363.1.mga2
+ Revision: 214003
- update to release 68363
- add subversion as buildrequires
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.1-0.r68120.1.mga2
+ Revision: 210822
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.1-0.r68102.1.mga2
+ Revision: 210270
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.1-0.r67851.1.mga2
+ Revision: 207573
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.1-0.r67846.1.mga2
+ Revision: 207286
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.1-0.r67830.1.mga2
+ Revision: 206995
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.1.1-0.r67715.1.mga2
+ Revision: 206027
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680
- update to release 65867
- update to release 65688
- update to release 65613
- update to release 65428

* Sat Nov 05 2011 trem <trem> 0.1.1-0.r64766.1.mga2
+ Revision: 163830
- add elementary as BuildRequires
- update to release r64766

  + ennael <ennael>
    - imported package ephoto


* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1:0.1.1.55225-1mdv2011.0
+ Revision: 622838
- new version 0.1.1.55225

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 1:0.1.0.54504-1mdv2011.0
+ Revision: 598005
- update file list
- new version 0.1.0.54504

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 4.15.0-4mdv2010.0
+ Revision: 411835
- rebuild for new ecore

* Thu Jul 09 2009 Funda Wang <fwang@mandriva.org> 4.15.0-3mdv2010.0
+ Revision: 393875
- rebuild

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 4.15.0-2mdv2009.1
+ Revision: 347397
- adjust buildrequires

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 4.15.0-1mdv2009.1
+ Revision: 347188
- fix sqlite3-devel build requires
- SVN SNAPSHOT 20090227, release 4.15.0
- CVS SNAPSHOT 20071031, release 2.15.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 01 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-5mdv2008.0
+ Revision: 33670
- move to Graphics group
- ?\195?\169fix specfile

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-3mdv2008.0
+ Revision: 31172
- fix desktop file
- add desktop file

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-2mdv2008.0
+ Revision: 31083
- CVS snapshot 20070525

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 2.15.0-1mdv2008.0
+ Revision: 31016
- add BuildRequires: ImageMagick
- add edje buildrequires
- adjust buildrequires
- add cvs buildrequires
- add gettext-devel buildrequires
- fix buildrequires (exif-gtk5-devel)
- CVS snaphot 20070524, add menu entry, add lang, remove cvs release, adjust buildrequires
- Import ephoto



* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.15.0-0.20060323.1mdk
- initial package
